| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParticipantType Struct Reference

Struct to define participant types to set participant type parameter property. More...

`#include <RTPSParticipantAttributes.hpp>`

## Static Public Attributes

static constexpr const char * | SIMPLE = "SIMPLE"
static constexpr const char * | SERVER = "SERVER"
static constexpr const char * | CLIENT = "CLIENT"
static constexpr const char * | SUPER_CLIENT = "SUPER_CLIENT"
static constexpr const char * | BACKUP = "BACKUP"
static constexpr const char * | NONE = "NONE"
static constexpr const char * | EXTERNAL = "EXTERNAL"
static constexpr const char * | UNKNOWN = "UNKNOWN"

## Detailed Description

Struct to define participant types to set participant type parameter property.

## Member Data Documentation

## ◆ BACKUP

const char* BACKUP = "BACKUP"

static constexpr

## ◆ CLIENT

const char* CLIENT = "CLIENT"

static constexpr

## ◆ EXTERNAL

const char* EXTERNAL = "EXTERNAL"

static constexpr

## ◆ NONE

const char* NONE = "NONE"

static constexpr

## ◆ SERVER

const char* SERVER = "SERVER"

static constexpr

## ◆ SIMPLE

const char* SIMPLE = "SIMPLE"

static constexpr

## ◆ SUPER_CLIENT

const char* SUPER_CLIENT = "SUPER_CLIENT"

static constexpr

## ◆ UNKNOWN

const char* UNKNOWN = "UNKNOWN"

static constexpr

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAttributes.hpp